Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jmx.adaptor.snmp.config.notification
Class Mapping

    java.lang.Object
      org.jboss.jmx.adaptor.snmp.config.notification.Mapping

All Implemented Interfaces:
  Serializable

public class Mapping
extends Object
implements Serializable

Class Mapping.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`Mapping()`

Method Summary
`String` | `getEnterprise()` Method getEnterpriseReturns the value of field 'enterprise'.
`int` | `getGeneric()` Method getGenericReturns the value of field 'generic'.
`String` | `getNotificationType()` Method getNotificationTypeReturns the value of field 'notificationType'.
`int` | `getSpecific()` Method getSpecificReturns the value of field 'specific'.
`VarBindList` | `getVarBindList()` Method getVarBindListReturns the value of field 'varBindList'.
`boolean` | `hasGeneric()` Method hasGeneric
`boolean` | `hasSpecific()` Method hasSpecific
`boolean` | `isValid()` Method isValid
`void` | `marshal(ContentHandler handler)` Method marshal
`void` | `marshal(Writer out)` Method marshal
`void` | `setEnterprise(String enterprise)` Method setEnterpriseSets the value of field 'enterprise'.
`void` | `setGeneric(int generic)` Method setGenericSets the value of field 'generic'.
`void` | `setNotificationType(String notificationType)` Method setNotificationTypeSets the value of field 'notificationType'.
`void` | `setSpecific(int specific)` Method setSpecificSets the value of field 'specific'.
`void` | `setVarBindList(VarBindList varBindList)` Method setVarBindListSets the value of field 'varBindList'.
`static Mapping` | `unmarshal(Reader reader)` Method unmarshal
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mapping

    public Mapping()

Method Detail

### getEnterprise

    public String getEnterprise()

  Method getEnterpriseReturns the value of field 'enterprise'.

  Returns:
    the value of field 'enterprise'.

### getGeneric

    public int getGeneric()

  Method getGenericReturns the value of field 'generic'.

  Returns:
    the value of field 'generic'.

### getNotificationType

    public String getNotificationType()

  Method getNotificationTypeReturns the value of field 'notificationType'.

  Returns:
    the value of field 'notificationType'.

### getSpecific

    public int getSpecific()

  Method getSpecificReturns the value of field 'specific'.

  Returns:
    the value of field 'specific'.

### getVarBindList

    public VarBindList getVarBindList()

  Method getVarBindListReturns the value of field 'varBindList'.

  Returns:
    the value of field 'varBindList'.

### hasGeneric

    public boolean hasGeneric()

  Method hasGeneric

### hasSpecific

    public boolean hasSpecific()

  Method hasSpecific

### isValid

    public boolean isValid()

  Method isValid

### marshal

    public void marshal(Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(ContentHandler handler)
                 throws IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Method marshal

  Parameters:
    `handler` -
  Throws:
    `IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### setEnterprise

    public void setEnterprise(String enterprise)

  Method setEnterpriseSets the value of field 'enterprise'.

  Parameters:
    `enterprise` - the value of field 'enterprise'.

### setGeneric

    public void setGeneric(int generic)

  Method setGenericSets the value of field 'generic'.

  Parameters:
    `generic` - the value of field 'generic'.

### setNotificationType

    public void setNotificationType(String notificationType)

  Method setNotificationTypeSets the value of field 'notificationType'.

  Parameters:
    `notificationType` - the value of field 'notificationType'

### setSpecific

    public void setSpecific(int specific)

  Method setSpecificSets the value of field 'specific'.

  Parameters:
    `specific` - the value of field 'specific'.

### setVarBindList

    public void setVarBindList(VarBindList varBindList)

  Method setVarBindListSets the value of field 'varBindList'.

  Parameters:
    `varBindList` - the value of field 'varBindList'.

### unmarshal

    public static Mapping unmarshal(Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Method unmarshal

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.